1 Reply Latest reply: Feb 6, 2012 4:02 PM by John Hammer1
JoAnnfromevanston Level 1 Level 1 (0 points)

Updated to OS X 10.5.8. QT Player is 7.4.5. Downloaded iTunes 10.5.3. iTunes will not open, message says QT 7.5 is required. Now what? 


iMac, Mac OS X (10.5.8)